ns-dblcolon {base} | R Documentation

## Double Colon and Triple Colon Operators

### Description

Accessing exported and internal variables in a namespace.

### Usage

    pkg::name
    pkg:::name

### Arguments

`pkg` | package name: symbol or literal character string.
`name` | variable name: symbol or literal character string.

### Details

For a package pkg, `pkg::name` returns the value of the exported variable `name` in namespace `pkg`, whereas `pkg:::name` returns the value of the internal variable `name`. The namespace will be loaded if it was not loaded before the call, but the package will not be attached to the search path.

Specifying a variable or package that does not exist is an error.

Note that `pkg::name` does not access the objects in the environment `package:pkg` (which does not exist until the package's namespace is attached): the latter may contain objects not exported from the namespace. As from R 2.14.0 it can access datasets made available by lazy-loading.

### Note

It is typically a design mistake to use `:::` in your code since the corresponding object has probably been kept internal for a good reason. Consider contacting the package maintainer if you feel the need to access the object for anything but mere inspection.

### See Also

`get` to access an object masked by another of the same name.

### Examples

    base::log
    base::"+"

    ## Beware --  use ':::' at your own risk! (see "Details")
    stats:::coef.default

[Package base version 2.15.1 Index]